package com.yihu.figure.model.drug;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.figure.model.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by yeshijie on 2017/3/13.
 */
@Entity
@Table(name = "figure_medicine_detail")
public class MedicineDetail extends IdEntity{
    private String medicineRecordCode;//用药记录id
    private String medicineCode;//药品code
    private String medicineName;//药品名称
    private Date czrq;

    public String getMedicineRecordCode() {
        return medicineRecordCode;
    }

    public void setMedicineRecordCode(String medicineRecordCode) {
        this.medicineRecordCode = medicineRecordCode;
    }

    @Column(name = "medicine_code")
    public String getMedicineCode() {
        return medicineCode;
    }

    public void setMedicineCode(String medicineCode) {
        this.medicineCode = medicineCode;
    }

    @Column(name = "medicine_name")
    public String getMedicineName() {
        return medicineName;
    }

    public void setMedicineName(String medicineName) {
        this.medicineName = medicineName;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }
}
